package org.cs.mgr.user.dao;

import java.util.List;
import java.util.Map;

import org.cs.core.dao.IBaseDao;
import org.cs.util.Pager;
import org.cs.mgr.user.model.MgmCustomer;

/**
 * 
 * @ClassName: IMgmCustomerDao
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:28:56
 */
public interface IMgmCustomerDao extends IBaseDao<MgmCustomer> {

	Pager queryMgmCustomers(Pager page,Map<String, String> map);
	
	Pager queryMgmCustomerByUserId(Pager page,String userId);
	
	Pager queryMyMgmCustomer(Pager page,Integer userId);
	
	List<MgmCustomer> queryMgmCustomerByUserId(String userId);
	
	List<MgmCustomer> queryMgmCustomerByMap(Map<String, String> map);
	
	 MgmCustomer isPhone(String phone,Integer userId);
}
